#!/bin/sh

[[ $# -eq 0 ]] && { echo "usage: $0 RPM1 RPM2 ...\nexample: $0 graphviz nodejs"; exit 1; }

PATH=sh/EPAGES_RELEASE/var/epages:/var/epages:$PATH

. functions.sh

started_by_rpm $$ && exit 0

if [[ $KERNEL = ${KERNEL%s} && $EPAGES_KERNEL = ${EPAGES_KERNEL%s} ]] ; then
  INSTALLER=yum ; YES=-y ; unset ZES
else
  INSTALLER=zypper ; ZES=-y ; unset YES
fi

for i in $ENABLE_REPO ; do
  [[ $INSTALLER = yum ]] && YES="$YES --enablerepo $i" || ZES="$ZES -r $i"
done
for i in $DISABLE_REPO ; do
  [[ $INSTALLER = yum ]] && YES="$YES --disablerepo $i"
done

[[ $1 = --update ]] && { shift; UPDATE=1; } || UPDATE=
for RPM in $@ ; do
  [[ -z $UPDATE ]] && rpm --quiet -q $RPM && continue
  echo "$INSTALLER $YES install $ZES $RPM"
  eval $INSTALLER $YES install $ZES $RPM || exit 1
done

exit 0
